## xz-utils 5.1.1alpha+20110809

=== debian/changelog ===
xz-utils (5.1.1alpha+20110809-3) unstable; urgency=low

  * liblzma: Match upstream ABI.
    - Remove the lzma_chunk_size() function.
    - A few ABI tweaks to reserved space in structures.
    - Enable ELF symbol versioning.
    - Bump soname to 5.
    - Continue to leave out threading support, since the relevant
      interfaces in liblzma are not yet stable.
  * xz-utils/README.Debian: Remove note on ABI differences.
  * Remove liblzma/README.Debian.
  * liblzma: Introduce a lzma_code@Base compatibility symbol to ensure
    programs linked against unversioned symbols from liblzma2 can
    share a process image with liblzma5 without breaking.
  * debian/symbols: XZ_5.0 symbols come from liblzma5.  Build-Depends:
    dpkg-dev (>= 1.15.6); thanks to Jakub Wilk for a reminder.
  * debian/symbols: The lzma_code@Base symbol is not guaranteed to
    continue to exist in the future, so tell dpkg-shlibdeps to produce
    an error if some package manages to use it.

 -- Jonathan Nieder <jrnieder@gmail.com>  Thu, 20 Oct 2011 21:31:31 -0500

xz-utils (5.1.1alpha+20110809-2) unstable; urgency=low

  * debian/rules build-arch: Do not trigger an infinite "make"
    recursion loop when DEB_BUILD_OPTIONS=nocheck.  Closes: #638071.
    Thanks to Thorsten Glaser.

 -- Jonathan Nieder <jrnieder@gmail.com>  Tue, 16 Aug 2011 18:11:47 -0500

xz-utils (5.1.1alpha+20110809-1) unstable; urgency=low

  * New snapshot, taken from upstream commit 5c5b225.
    - liblzma:
      - lzma_stream_encoder() leaked memory.
      - The LZMA2 decoder rejected streams that decompress to a
        zero-length string.
      - lzma_easy_buffer_encode() and lzma_stream_buffer_encode()
        used to write such streams when asked to compress a 0-length
        buffer.
      - lzma_index_init() would segfault on allocation failure.
      - liblzma: Various functions check their arguments (especially
        choice of integrity check) better, making it harder to create
        a corrupt .xz file instead of receiving an error.
    - xz and scripts:
      - "xz -v -v --list" would read and try to free() uninitialized
        memory, continuing past the end of an on-stack array, when
        asked to describe certain corrupted XZ files.
      - xz -S.suf now refuses to compress a file whose name already
        ends with the suffix “.suf”.
      - xz --force can be used to compress setuid, setgid, sticky,
        and multiply linked files.
      - xz uses posix_fadvise() to speed up sequential input.
      - xz --block-size forces a full flush periodically during
        compression, for better random-access reading support and to
        make simple parallelism possible in the future.
      - unxz: The new --single-stream option discards trailing
        garbage after the end of the first stream.
      - xzdiff can read gzip- and bzip2-compressed files.
      - xzdiff and xzgrep can read lzop-compressed files.
      - xzegrep and xzfgrep perform extended regex and fixed-string
        matches, respectively.  (The previous behavior was to always
        use basic regexes.)
      - xzgrep -l (= --files-with-match) works.
      - The Czech “xz --help” output uses a more correct term for
        files with holes.  Thanks to Petr Hubený.  Closes: #605762.
      - xz: New Polish and French translations.
    - The Doxygen-generated documentation uses short, relative paths
      to name source files.  Closes: #572273.
  * Update copyright file.
  * Remove example programs from debian/examples.  They are included
    in the upstream source package now.
  * Move liblzma to an architecture-specific directory, so the
    native library and foreign-architecture versions can be installed
    simultaneously.
    - liblzma2: Pre-Depends: multiarch-support.
    - Use debhelper compatibility level 9.  This requires passing
      the dh sequence name before other options when invoking dh in
      debian/rules.  Build-Depends: debhelper (>= 8.1.3).
    - liblzma2, liblzma-dev: Install files under /usr/lib/<triplet>
      instead of /usr/lib.
    - Thanks to Steve Langasek for explaining the process on the
      Debian wiki.
  * Standards-Version: 3.9.2 (checked).
  * debian/control: liblzma2 is Multi-Arch: same, while xz-utils
    and xzdec are Multi-Arch: foreign.  Closes: #637883.  Thanks to
    Riku Voipio.
  * debian/symbols: Bump the minimal version for LZMA2 encoder
    functions that reject more bad arguments and skip empty blocks.
  * debian/rules: ./configure --disable-symbol-versions for now.
  * debian/rules: Provide build-arch and build-indep targets that
    only build the code and the API documentation, respectively.
    Thanks to Roger Leigh for suggesting it through lintian.
    Build-Depends: debhelper (>= 8.9.0).
  * debian/rules: Treat DEB_BUILD_OPTIONS=nocheck as a request not to
    run build-time tests.  Thanks to Thorsten Glaser for a reminder.
    Closes: #627209.

 -- Jonathan Nieder <jrnieder@gmail.com>  Tue, 16 Aug 2011 00:40:31 -0500

=== debian/control ===
Source: xz-utils
Section: utils
Priority: required
Maintainer: Jonathan Nieder <jrnieder@gmail.com>
Uploaders: Mohammed Adnène Trojette <adn+deb@diwi.org>
Build-Depends: debhelper (>= 8.9.0), perl, dpkg-dev (>= 1.15.6),
 autoconf (>= 2.64~), automake, libtool (>= 2.2),
 gettext, autopoint | gettext (<< 0.18-1), autopoint | cvs
Build-Depends-Indep: doxygen
Build-Conflicts: automake1.4
Standards-Version: 3.9.2
Vcs-Browser: http://git.debian.org/?p=collab-maint/xz.git
Vcs-Git: git://git.debian.org/collab-maint/xz.git
Homepage: http://tukaani.org/xz/

Package: liblzma5
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: XZ-format compression library
 XZ is the successor to the Lempel-Ziv/Markov-chain Algorithm
 compression format, which provides memory-hungry but powerful
 compression (often better than bzip2) and fast, easy decompression.
 .
 The native format of liblzma is XZ; it also supports raw (headerless)
 streams and the older LZMA format used by lzma. (For 7-Zip's related
 format, use the p7zip package instead.)

Package: xz-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Suggests: xz-lzma
Breaks: xz-lzma (<< 4.999.9beta+20091004-1)
Replaces: xz-lzma (<< 4.999.9beta+20091004-1)
Description: XZ-format compression utilities
 XZ is the successor to the Lempel-Ziv/Markov-chain Algorithm
 compression format, which provides memory-hungry but powerful
 compression (often better than bzip2) and fast, easy decompression.
 .
 This package provides the command line tools for working with XZ
 compression, including xz, unxz, xzcat, xzgrep, and so on. They can
 also handle the older LZMA format, and if invoked via appropriate
 symlinks will emulate the behavior of the commands in the lzma
 package.
 .
 The XZ format is similar to the older LZMA format but includes some
 improvements for general use:
 .
  * 'file' magic for detecting XZ files;
  * crc64 data integrity check;
  * limited random-access reading support;
  * improved support for multithreading (not used in xz-utils);
  * support for flushing the encoder.

Package: xz-lzma
Architecture: all
Priority: extra
Depends: xz-utils, ${misc:Depends}
Conflicts: lzma
Breaks: lzip (<< 1.8~rc2)
Replaces: lzip (<< 1.8~rc2)
Provides: lzma
Description: XZ-format compression utilities - compatibility commands
 XZ is the successor to the Lempel-Ziv/Markov-chain Algorithm
 compression format, which provides memory-hungry but powerful
 compression (often better than bzip2) and fast, easy decompression.
 .
 This package provides symbolic links allowing xz-utils to provide the
 same interface for manipulating LZMA files as the lzma package. The
 xz-utils package can handle LZMA files on its own; this package is
 only necessary when using scripts or other programs that require the
 older command names.

Package: xzdec
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Suggests: xz-utils
Breaks: xz-lzma (<< 4.999.9beta+20091004-1)
Replaces: xz-lzma (<< 4.999.9beta+20091004-1)
Description: XZ-format compression utilities - tiny decompressors
 XZ is the successor to the Lempel-Ziv/Markov-chain Algorithm
 compression format, which provides memory-hungry but powerful
 compression (often better than bzip2) and fast, easy decompression.
 .
 This package provides the xzdec and lzmadec utilities, which write
 the decompressed version of a compressed file to standard output. The
 binaries are very small, so they can be easily stored on small media
 with some compressed files, and they are linked statically against
 liblzma so they can be used on machines without a compatible version
 of liblzma installed. However, they have:
 .
   * no compression support;
   * no support for writing to a file other than standard output;
   * no translated messages;
   * been optimized for size rather than speed.
 .
 For a full-featured xzcat command without these limitations, use
 the xz-utils package instead.

Package: liblzma-dev
Section: libdevel
Priority: optional
Architecture: any
Depends: liblzma5 (= ${binary:Version}), ${misc:Depends}
Suggests: liblzma-doc
Description: XZ-format compression library - development files
 XZ is the successor to the Lempel-Ziv/Markov-chain Algorithm
 compression format, which provides memory-hungry but powerful
 compression (often better than bzip2) and fast, easy decompression.
 .
 The native format of liblzma is XZ; it also supports raw (headerless)
 streams and the older LZMA format used by lzma. (For 7-Zip's related
 format, use the p7zip package instead.) This package provides the
 development library needed to build programs using liblzma.

Package: liblzma-doc
Section: doc
Priority: optional
Architecture: all
Depends: ${misc:Depends}
Suggests: liblzma-dev
Description: XZ-format compression library - API documentation
 This package contains a reference manual for the liblzma data
 compression library, in Doxygen-generated HTML files. The purpose
 of each struct, macro, and function in the public interface is
 explained.

=== debian/rules ===
#!/usr/bin/make -f

build clean install binary-arch binary-indep binary:
	+dh $@ --parallel $(opt_no_act)

build-arch: build-plain build-small
	$(MAKE) -f debian/rules $(test_targets)

build-indep: debian/normal-build/Makefile
	: 'Work around bug #478524'
	set -e; if type doxygen >/dev/null 2>/dev/null; \
	then \
		cd debian/normal-build; \
		doxygen Doxyfile; \
	fi

override_dh_auto_clean:
	rm -f debian/*-stamp
	dh_auto_clean --builddirectory debian/xzdec-build
	dh_auto_clean --builddirectory debian/normal-build
	sh debian/clean.sh

override_dh_auto_install:
	dh_auto_install --builddirectory debian/normal-build
	dh_auto_install --builddirectory debian/xzdec-build

override_dh_installchangelogs:
	dh_installchangelogs debian/changelog.upstream

build-plain: debian/normal-build/Makefile
	dh_auto_build --builddirectory debian/normal-build

build-small: debian/xzdec-build/Makefile
	dh_auto_build --builddirectory debian/xzdec-build

debian/test-plain-stamp: | build-plain
	dh_auto_test --builddirectory debian/normal-build
	>$@

debian/test-xzdec-stamp: | build-small
	$(MAKE) -C debian/xzdec-build/tests create_compress_files
	$(MAKE) -C debian/xzdec-build/tests \
		TESTS="test_check test_files.sh test_compress.sh" \
		check-TESTS
	>$@

# There are more, but these will do.
autoreconf_products := $(wildcard Makefile.in */Makefile.in */*/Makefile.in)
autoreconf_products += configure

autoreconf_sources := $(wildcard Makefile.am */Makefile.am */*/Makefile.am)
autoreconf_sources += configure.ac

configure_input := $(autoreconf_products)
configure_input += Doxyfile.in
configure_input += src/liblzma/liblzma.pc.in
configure_input += $(wildcard src/scripts/*.in)

debian/normal-build/Makefile debian/normal-build/Doxyfile: $(configure_input)
	dh_auto_configure --builddirectory debian/normal-build -- \
		$(opt_optimize) $(opt_quiet) \
		--disable-xzdec --disable-lzmadec

debian/xzdec-build/Makefile: $(configure_input)
	dh_auto_configure --builddirectory debian/xzdec-build -- \
		--disable-shared --disable-nls --disable-encoders \
		--enable-small --disable-threads \
		$(opt_optimize_small) $(opt_quiet) \
		--disable-lzmainfo --disable-scripts \
		--disable-xz --disable-lzma-links

$(autoreconf_products): $(autoreconf_sources)
	autoreconf -is

noop: ;

opt_optimize = CFLAGS="-g -O2"
opt_optimize_small = CFLAGS="-g -Os"
opt_no_act =
opt_quiet =
test_targets =
test_targets += debian/test-plain-stamp
test_targets += debian/test-xzdec-stamp

# Unless noopt is set, use optimized CRC32 routine on the Hurd.
ifeq (hurd,$(shell dpkg-architecture -qDEB_HOST_ARCH_OS))
    cputype := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
    ifeq (i386,$(cputype))
        opt_optimize += --enable-assembler=x86
        opt_optimize_small += --enable-assembler=x86
    endif
    ifeq (amd64,$(cputype))
        opt_optimize += --enable-assembler=x86_64
        opt_optimize_small += --enable-assembler=x86_64
    endif
endif

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
    opt_optimize = --disable-assembler CFLAGS="-g -O0"
    opt_optimize_small = --disable-assembler CFLAGS="-g -O0"
endif

ifneq (,$(findstring n,$(MAKEFLAGS)))
    opt_no_act = --no-act
endif

ifneq (,$(filter quiet,$(DEB_BUILD_OPTIONS)))
    opt_quiet = --quiet
    MAKEFLAGS += --quiet
endif

ifneq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
    test_targets = noop
endif

# Build a tarball with the latest upstream version.
# This is made complicated by the need to choose a nice version number.
REPO = http://git.tukaani.org/xz.git
BRANCH = master
get-orig-source:
	mkdir debian-orig-source
	-set -e; cd debian-orig-source; \
	: Fetch latest upstream version.; \
		git init -q; \
		git fetch -q --tags $(REPO); \
		git fetch -q $(REPO) $(BRANCH); \
	: Determine version number.; \
		commit_name=$$(git describe FETCH_HEAD); \
		release=$${commit_name%%-*}; \
		date=$$(date --utc --date="$$( \
			git log -1 --pretty=format:%cD "$$commit_name" \
			)" "+%Y%m%d"); \
		if test "$$commit_name" = "$$release"; \
		then upstream_version=$${commit_name#v}; \
		else upstream_version="$${release#v}+$${date}"; \
		fi; \
	: Generate tarball.; \
		echo "packaging $$commit_name"; \
		git archive --format=tar "$$commit_name" \
			--prefix="xz-utils-$$upstream_version/" | \
		gzip -n --rsyncable -9 \
			> "../xz-utils_$$upstream_version.orig.tar.gz"
	rm -fr debian-orig-source

## xz-utils 5.1.1alpha+20120614

=== debian/changelog ===
xz-utils (5.1.1alpha+20120614-2ubuntu2) trusty; urgency=low

  * debian/patches/error-parsing-less.patch. LP: #1248044
    - parse correctly recent versions of less output

 -- Javier P.L. <chilicuil@ubuntu.com>  Sun, 09 Feb 2014 01:21:14 -0600

xz-utils (5.1.1alpha+20120614-2ubuntu1) raring; urgency=low

  * Remove build-dependency on perl; we use no non-trivial Perl modules so
    the Essential perl-base is perfectly adequate, and an unadorned
    build-dependency on perl is problematic for cross-building.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 03 Jan 2013 17:21:16 +0000

xz-utils (5.1.1alpha+20120614-2) unstable; urgency=low

  * Apply fixes from 5.1.2alpha.  Closes: #685220.
    - liblzma: report a LZMA_DATA_ERROR when range encoded data starts
      with a nonzero byte.  This is a sanity check to catch malformed
      files that no known encoders produce.
    - xz -v -v --list: Support for decompressing blocks with
      zero-length uncompressed data was added in xz 5.0.2, not 5.0.3.
    - xz.1: "xz --robot -v -v --list" gained a "minimum xz version to
      decompress" field.
  * xz-utils/README.Debian: Document differences from upstream.
    Closes: #685217.

 -- Jonathan Nieder <jrnieder@gmail.com>  Mon, 10 Sep 2012 14:35:33 -0700

xz-utils (5.1.1alpha+20120614-1) unstable; urgency=low

  * New snapshot, taken from upstream commit f1675f76.
    - liblzma: BCJ filters would return a spurious LZMA_BUF_ERROR
      result in certain circumstances.  As a result, the xz tool
      could produce inappropriate "Compressed data is corrupt" or
      "Unexpected end of input" failures (reported in XZ Embedded as
      Fedora bug 735408).
    - "xz -v -v --list" prints the minimal XZ Utils version needed
      to decompress a stream.
    - "xz --robot -v --list" formats filenames more plainly.
    - xzgrep does not fail unconditionally when the decompressor
      dies with SIGPIPE due to unconsumed output any more.  This
      makes the exit status from commands such as "xzgrep -q" and
      "xzgrep -l" more predictable and convenient for scripts.
    - examples/xz_pipe_decomp.c did not check correctly for
      truncated input.
    - There is a new set of sample programs.  The old ones have
      been renamed to examples_old but are still maintained.
  * liblzma:
    - If dlopen() indicates that liblzma.so.2 is loaded, check fewer
      reserved fields in the stream argument to the lzma_code()
      function.  This prevents out-of-bounds reads when liblzma5
      functions are called by code built against liblzma2 (see
      <http://sourceware.org/PR12977>).
    - Remove the lzma_code@Base compatibility symbol.
      Closes: #649522.  Thanks to Eduard Bloch.
    - Install run-time library to /lib so it can be used before /usr
      is mounted.  Closes: #672120.
    - Configure with --disable-threads for now to avoid needlessly
      linking to libpthread and librt.
  * liblzma-dev:
    - Install an appropriate library for static linking instead of
      the decompression-only version used to build xzdec.
      Closes: #673001.  Thanks to Anton Tolchanov.
    - Use the liblzma2-compatible version of lzma_code() in the
      static library.
    - Multi-Arch: same.  Thanks to Riku Voipio.
    - Install new examples and revised old examples to
      /usr/share/doc/liblzma-dev.
  * xz-utils:
    - Use update-alternatives to provide lzma, unlzma, lzcat, and
      the rest of the lz* scripts without conflicting with the lzma
      package.
    - Conflicts: lzma versions before before 9.22-1, when it started
      providing lzma, unlzma, and lzcat through the alternatives
      system.
    - Conflicts: and Replaces: xz-lzma.
    - README.Debian: Update instructions on configuring the package
      to provide lzma compatibility commands.
  * Remove xz-lzma package.
  * Use dpkg-buildflags to retrieve compiler flags, including
    hardening options.  Build-Depends: dpkg-dev (>= 1.16.1).
    Closes: #653739.
  * debian/rules:
    - build-arch: Simplify by using a double-colon rule instead of a
      dependency on a dummy noop target.
    - build-indep: Assume doxygen is available, instead of trying to
      get by by assuming the caller meant to invoke build-arch when
      it is missing.  Build-Depends: dpkg-dev (>= 1.16.2).
    - Rearrange for clarity.
  * debian/symbols: Bump the minimal version for lzma_code(),
    lzma_raw_buffer_decode(), and lzma_raw_buffer_encode().
  * Use machine-readable copyright-format 1.0.
  * Update copyright file.
  * Standards-Version: 3.9.3 (checked).
  * debian/changelog.upstream.sh: Use ‘git rev-list | git diff-tree’
    instead of ‘git log’ to avoid depending on the build system’s
    configuration.

 -- Jonathan Nieder <jrnieder@gmail.com>  Sat, 16 Jun 2012 15:03:17 -0500

=== debian/rules ===
--- 
+++ 
@@ -3,26 +3,39 @@
 build clean install binary-arch binary-indep binary:
 	+dh $@ --parallel $(opt_no_act)
 
-build-arch: build-plain build-small
-	$(MAKE) -f debian/rules $(test_targets)
+# Runs tests, too, if and only if nocheck is unset (see below).
+build-arch:: build-plain build-static build-small
 
 build-indep: debian/normal-build/Makefile
-	: 'Work around bug #478524'
-	set -e; if type doxygen >/dev/null 2>/dev/null; \
-	then \
-		cd debian/normal-build; \
-		doxygen Doxyfile; \
-	fi
+	cd debian/normal-build && doxygen Doxyfile
+
+autoreconf_sources := $(wildcard Makefile.am */Makefile.am */*/Makefile.am)
+autoreconf_sources += configure.ac
+
+autoreconf_products := $(wildcard Makefile.in */Makefile.in */*/Makefile.in)
+autoreconf_products += configure	# and more, but these will do
+
+configure_input := $(autoreconf_products)
+configure_input += Doxyfile.in
+configure_input += src/liblzma/liblzma.pc.in
+configure_input += $(wildcard src/scripts/*.in)
 
 override_dh_auto_clean:
 	rm -f debian/*-stamp
 	dh_auto_clean --builddirectory debian/xzdec-build
 	dh_auto_clean --builddirectory debian/normal-build
+	dh_auto_clean --builddirectory debian/static-build
 	sh debian/clean.sh
 
 override_dh_auto_install:
+	dh_auto_install --builddirectory debian/xzdec-build
 	dh_auto_install --builddirectory debian/normal-build
-	dh_auto_install --builddirectory debian/xzdec-build
+	dh_auto_install --builddirectory debian/static-build
+	set -e; arch=$$(dpkg-architecture -qDEB_HOST_MULTIARCH); \
+	install -d debian/tmp/lib/$$arch; \
+	mv debian/tmp/usr/lib/$$arch/liblzma.so.* debian/tmp/lib/$$arch/; \
+	dso=$$(basename $$(readlink debian/tmp/usr/lib/$$arch/liblzma.so)); \
+	ln -s -f /lib/$$arch/$$dso debian/tmp/usr/lib/$$arch/liblzma.so
 
 override_dh_installchangelogs:
 	dh_installchangelogs debian/changelog.upstream
@@ -30,11 +43,18 @@
 build-plain: debian/normal-build/Makefile
 	dh_auto_build --builddirectory debian/normal-build
 
+build-static: debian/static-build/Makefile
+	dh_auto_build --builddirectory debian/static-build
+
 build-small: debian/xzdec-build/Makefile
 	dh_auto_build --builddirectory debian/xzdec-build
 
 debian/test-plain-stamp: | build-plain
 	dh_auto_test --builddirectory debian/normal-build
+	>$@
+
+debian/test-static-stamp: | build-static
+	dh_auto_test --builddirectory debian/static-build
 	>$@
 
 debian/test-xzdec-stamp: | build-small
@@ -44,27 +64,26 @@
 		check-TESTS
 	>$@
 
-# There are more, but these will do.
-autoreconf_products := $(wildcard Makefile.in */Makefile.in */*/Makefile.in)
-autoreconf_products += configure
-
-autoreconf_sources := $(wildcard Makefile.am */Makefile.am */*/Makefile.am)
-autoreconf_sources += configure.ac
-
-configure_input := $(autoreconf_products)
-configure_input += Doxyfile.in
-configure_input += src/liblzma/liblzma.pc.in
-configure_input += $(wildcard src/scripts/*.in)
-
 debian/normal-build/Makefile debian/normal-build/Doxyfile: $(configure_input)
 	dh_auto_configure --builddirectory debian/normal-build -- \
+		--disable-threads --disable-static \
 		$(opt_optimize) $(opt_quiet) \
 		--disable-xzdec --disable-lzmadec
+
+debian/static-build/Makefile: $(configure_input)
+	dh_auto_configure --builddirectory debian/static-build -- \
+		--disable-threads --disable-shared \
+		--enable-liblzma2-compat \
+		$(opt_optimize) $(opt_quiet) \
+		--disable-lzmainfo --disable-scripts \
+		--disable-xzdec --disable-lzmadec \
+		--disable-xz --disable-lzma-links
 
 debian/xzdec-build/Makefile: $(configure_input)
 	dh_auto_configure --builddirectory debian/xzdec-build -- \
 		--disable-shared --disable-nls --disable-encoders \
 		--enable-small --disable-threads \
+		--disable-liblzma2-compat \
 		$(opt_optimize_small) $(opt_quiet) \
 		--disable-lzmainfo --disable-scripts \
 		--disable-xz --disable-lzma-links
@@ -72,15 +91,15 @@
 $(autoreconf_products): $(autoreconf_sources)
 	autoreconf -is
 
-noop: ;
+small_flags_env =
+small_flags_env += DEB_CFLAGS_MAINT_STRIP='-O2 -O3'
+small_flags_env += DEB_CFLAGS_MAINT_PREPEND=-Os
+flags_cmd = dpkg-buildflags --export=configure
+opt_optimize = $(shell $(flags_cmd))
+opt_optimize_small = $(shell $(small_flags_env) $(flags_cmd))
 
-opt_optimize = CFLAGS="-g -O2"
-opt_optimize_small = CFLAGS="-g -Os"
 opt_no_act =
 opt_quiet =
-test_targets =
-test_targets += debian/test-plain-stamp
-test_targets += debian/test-xzdec-stamp
 
 # Unless noopt is set, use optimized CRC32 routine on the Hurd.
 ifeq (hurd,$(shell dpkg-architecture -qDEB_HOST_ARCH_OS))
@@ -96,8 +115,8 @@
 endif
 
 ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
-    opt_optimize = --disable-assembler CFLAGS="-g -O0"
-    opt_optimize_small = --disable-assembler CFLAGS="-g -O0"
+    opt_optimize += --disable-assembler
+    opt_optimize_small += --disable-assembler
 endif
 
 ifneq (,$(findstring n,$(MAKEFLAGS)))
@@ -109,8 +128,10 @@
     MAKEFLAGS += --quiet
 endif
 
-ifneq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-    test_targets = noop
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+build-arch:: debian/test-plain-stamp
+build-arch:: debian/test-static-stamp
+build-arch:: debian/test-xzdec-stamp
 endif
 
 # Build a tarball with the latest upstream version.

=== debian/watch ===
version=3
opts=dversionmangle=s/\+\d{8}$// \
http://tukaani.org/xz/xz-([\d.]*(?:beta)?)\.tar\.gz

## xz-utils 5.2.2

=== debian/changelog ===
xz-utils (5.2.2-1.3ubuntu0.1) bionic-security; urgency=medium

  * SECURITY UPDATE: arbitrary file overwrite or code execution with
    crafted file names
    - debian/patches/CVE-2022-1271.patch: fix escaping of malicious
      filenames in src/scripts/xzgrep.in.
    - CVE-2022-1271

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 08 Apr 2022 08:56:46 -0400

xz-utils (5.2.2-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Force a constant /bin/sh for installed scripts. This helps the build
    be reproducible; /bin/sh on Debian is always POSIX. (Closes: #806331)

 -- Ximin Luo <infinity0@debian.org>  Wed, 28 Jun 2017 18:39:19 +0200

xz-utils (5.2.2-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * link against libfreebsd-glue on kfreebsd-* (Closes: #840063)

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sat, 08 Oct 2016 15:11:19 +0200

xz-utils (5.2.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * switch to git-dpm for packaging (closes: #540405)
  * New Upstream (closes: #731634)
   - no more "xzless error in line 49" (closes: #693537)
   - xzgrep -h works (closes: #780268)
  * update symbol file
  * enable threads for the "normal build"

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Mon, 26 Sep 2016 20:45:45 +0200

xz-utils (5.1.1alpha+20120614-2.1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Non-maintainer upload.

  [ Colin Watson ]
  * Remove build-dependency on perl; we use no non-trivial Perl modules so
    the Essential perl-base is perfectly adequate, and an unadorned
    build-dependency on perl is problematic for cross-building.
    Closes: #697328.

 -- Helmut Grohne <helmut@subdivi.de>  Thu, 18 Jun 2015 20:27:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: xz-utils
 Section: utils
 Priority: required
-Maintainer: Jonathan Nieder <jrnieder@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jonathan Nieder <jrnieder@gmail.com>
 Uploaders: Mohammed Adnène Trojette <adn+deb@diwi.org>
-Build-Depends: debhelper (>= 8.9.0), perl, dpkg-dev (>= 1.15.6),
+Build-Depends: debhelper (>= 8.9.0), dpkg-dev (>= 1.16.2),
  autoconf (>= 2.64~), automake, libtool (>= 2.2),
- gettext, autopoint | gettext (<< 0.18-1), autopoint | cvs
+ gettext, autopoint | gettext (<< 0.18-1), autopoint | cvs, freebsd-glue [kfreebsd-any]
 Build-Depends-Indep: doxygen
 Build-Conflicts: automake1.4
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Browser: http://git.debian.org/?p=collab-maint/xz.git
 Vcs-Git: git://git.debian.org/collab-maint/xz.git
 Homepage: http://tukaani.org/xz/
@@ -32,9 +33,10 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: foreign
-Suggests: xz-lzma
-Breaks: xz-lzma (<< 4.999.9beta+20091004-1)
-Replaces: xz-lzma (<< 4.999.9beta+20091004-1)
+Conflicts: lzma (<< 9.22-1), xz-lzma
+Breaks: lzip (<< 1.8~rc2)
+Replaces: lzip (<< 1.8~rc2), xz-lzma
+Provides: lzma
 Description: XZ-format compression utilities
  XZ is the successor to the Lempel-Ziv/Markov-chain Algorithm
  compression format, which provides memory-hungry but powerful
@@ -54,25 +56,6 @@
   * limited random-access reading support;
   * improved support for multithreading (not used in xz-utils);
   * support for flushing the encoder.
-
-Package: xz-lzma
-Architecture: all
-Priority: extra
-Depends: xz-utils, ${misc:Depends}
-Conflicts: lzma
-Breaks: lzip (<< 1.8~rc2)
-Replaces: lzip (<< 1.8~rc2)
-Provides: lzma
-Description: XZ-format compression utilities - compatibility commands
- XZ is the successor to the Lempel-Ziv/Markov-chain Algorithm
- compression format, which provides memory-hungry but powerful
- compression (often better than bzip2) and fast, easy decompression.
- .
- This package provides symbolic links allowing xz-utils to provide the
- same interface for manipulating LZMA files as the lzma package. The
- xz-utils package can handle LZMA files on its own; this package is
- only necessary when using scripts or other programs that require the
- older command names.
 
 Package: xzdec
 Priority: extra
@@ -105,6 +88,7 @@
 Package: liblzma-dev
 Section: libdevel
 Priority: optional
+Multi-Arch: same
 Architecture: any
 Depends: liblzma5 (= ${binary:Version}), ${misc:Depends}
 Suggests: liblzma-doc

=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,7 @@
 	ln -s -f /lib/$$arch/$$dso debian/tmp/usr/lib/$$arch/liblzma.so
 
 override_dh_installchangelogs:
-	dh_installchangelogs debian/changelog.upstream
+	dh_installchangelogs ChangeLog
 
 build-plain: debian/normal-build/Makefile
 	dh_auto_build --builddirectory debian/normal-build
@@ -66,12 +66,14 @@
 
 debian/normal-build/Makefile debian/normal-build/Doxyfile: $(configure_input)
 	dh_auto_configure --builddirectory debian/normal-build -- \
-		--disable-threads --disable-static \
+		$(opt_reproduce) \
+		--enable-threads --disable-static \
 		$(opt_optimize) $(opt_quiet) \
 		--disable-xzdec --disable-lzmadec
 
 debian/static-build/Makefile: $(configure_input)
 	dh_auto_configure --builddirectory debian/static-build -- \
+		$(opt_reproduce) \
 		--disable-threads --disable-shared \
 		--enable-liblzma2-compat \
 		$(opt_optimize) $(opt_quiet) \
@@ -81,6 +83,7 @@
 
 debian/xzdec-build/Makefile: $(configure_input)
 	dh_auto_configure --builddirectory debian/xzdec-build -- \
+		$(opt_reproduce) \
 		--disable-shared --disable-nls --disable-encoders \
 		--enable-small --disable-threads \
 		--disable-liblzma2-compat \
@@ -97,6 +100,7 @@
 flags_cmd = dpkg-buildflags --export=configure
 opt_optimize = $(shell $(flags_cmd))
 opt_optimize_small = $(shell $(small_flags_env) $(flags_cmd))
+opt_reproduce = gl_cv_posix_shell=/bin/sh
 
 opt_no_act =
 opt_quiet =

## xz-utils 5.2.4

=== dos/Makefile ===
###############################################################################
#
# Makefile to build XZ Utils using DJGPP
#
# Author: Lasse Collin
#
# This file has been put into the public domain.
# You can do whatever you want with this file.
#
###############################################################################

# For debugging, set comment "#define NDEBUG 1" from config.h to enable
# the assert() macro, set STRIP=rem to disable stripping, and finally
# e.g. CFLAGS="-g -O0".
CC = gcc
STRIP = strip
CPPFLAGS =
CFLAGS = -g -Wall -Wextra -Wfatal-errors -march=i386 -mtune=i686 -O2
LDFLAGS = -lemu

# NOTE: -fgnu89-inline is needed on DJGPP 2.04 beta and GCC >= 4.3.0
# because time.h uses GNU-style "extern inline".
ALL_CFLAGS = -std=gnu99 -fgnu89-inline

ALL_CPPFLAGS = \
	-I. \
	-I../lib \
	-I../src/common \
	-I../src/liblzma/api \
	-I../src/liblzma/common \
	-I../src/liblzma/check \
	-I../src/liblzma/rangecoder \
	-I../src/liblzma/lz \
	-I../src/liblzma/lzma \
	-I../src/liblzma/delta \
	-I../src/liblzma/simple \
	-DHAVE_CONFIG_H

ALL_CPPFLAGS += $(CPPFLAGS)
ALL_CFLAGS += $(CFLAGS)

.PHONY: all
all: xz.exe

SRCS_C = \
	../lib/getopt.c \
	../lib/getopt1.c \
	../src/common/tuklib_cpucores.c \
	../src/common/tuklib_exit.c \
	../src/common/tuklib_mbstr_fw.c \
	../src/common/tuklib_mbstr_width.c \
	../src/common/tuklib_open_stdxxx.c \
	../src/common/tuklib_physmem.c \
	../src/common/tuklib_progname.c \
	../src/liblzma/check/check.c \
	../src/liblzma/check/crc32_table.c \
	../src/liblzma/check/crc64_table.c \
	../src/liblzma/check/sha256.c \
	../src/liblzma/common/alone_decoder.c \
	../src/liblzma/common/alone_encoder.c \
	../src/liblzma/common/block_decoder.c \
	../src/liblzma/common/block_encoder.c \
	../src/liblzma/common/block_header_decoder.c \
	../src/liblzma/common/block_header_encoder.c \
	../src/liblzma/common/block_util.c \
	../src/liblzma/common/common.c \
	../src/liblzma/common/filter_common.c \
	../src/liblzma/common/filter_decoder.c \
	../src/liblzma/common/filter_encoder.c \
	../src/liblzma/common/filter_flags_decoder.c \
	../src/liblzma/common/filter_flags_encoder.c \
	../src/liblzma/common/hardware_physmem.c \
	../src/liblzma/common/index.c \
	../src/liblzma/common/index_decoder.c \
	../src/liblzma/common/index_encoder.c \
	../src/liblzma/common/index_hash.c \
	../src/liblzma/common/stream_decoder.c \
	../src/liblzma/common/stream_encoder.c \
	../src/liblzma/common/stream_flags_common.c \
	../src/liblzma/common/stream_flags_decoder.c \
	../src/liblzma/common/stream_flags_encoder.c \
	../src/liblzma/common/vli_decoder.c \
	../src/liblzma/common/vli_encoder.c \
	../src/liblzma/common/vli_size.c \
	../src/liblzma/delta/delta_common.c \
	../src/liblzma/delta/delta_decoder.c \
	../src/liblzma/delta/delta_encoder.c \
	../src/liblzma/lz/lz_decoder.c \
	../src/liblzma/lz/lz_encoder.c \
	../src/liblzma/lz/lz_encoder_mf.c \
	../src/liblzma/lzma/fastpos_table.c \
	../src/liblzma/lzma/lzma2_decoder.c \
	../src/liblzma/lzma/lzma2_encoder.c \
	../src/liblzma/lzma/lzma_decoder.c \
	../src/liblzma/lzma/lzma_encoder.c \
	../src/liblzma/lzma/lzma_encoder_optimum_fast.c \
	../src/liblzma/lzma/lzma_encoder_optimum_normal.c \
	../src/liblzma/lzma/lzma_encoder_presets.c \
	../src/liblzma/rangecoder/price_table.c \
	../src/liblzma/simple/arm.c \
	../src/liblzma/simple/armthumb.c \
	../src/liblzma/simple/ia64.c \
	../src/liblzma/simple/powerpc.c \
	../src/liblzma/simple/simple_coder.c \
	../src/liblzma/simple/simple_decoder.c \
	../src/liblzma/simple/simple_encoder.c \
	../src/liblzma/simple/sparc.c \
	../src/liblzma/simple/x86.c \
	../src/xz/args.c \
	../src/xz/coder.c \
	../src/xz/file_io.c \
	../src/xz/hardware.c \
	../src/xz/list.c \
	../src/xz/main.c \
	../src/xz/message.c \
	../src/xz/mytime.c \
	../src/xz/options.c \
	../src/xz/signals.c \
	../src/xz/suffix.c \
	../src/xz/util.c
SRCS_ASM = \
	../src/liblzma/check/crc32_x86.S \
	../src/liblzma/check/crc64_x86.S

OBJS_C = $(SRCS_C:.c=.o)
OBJS_ASM = $(SRCS_ASM:.S=.o)
OBJS = $(OBJS_C) $(OBJS_ASM)

getopt.h:
	update ../lib/getopt.in.h getopt.h

$(OBJS): getopt.h

$(OBJS_C): %.o: %.c
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -c -o $@ $<

$(OBJS_ASM): %.o: %.S
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -c -o $@ $<

# Make xz.exe not depend on an external DPMI server.
xz.exe: $(OBJS)
	$(CC) $(ALL_CFLAGS) $(OBJS) $(LDFLAGS) -o $@
	$(STRIP) --strip-all $@
	exe2coff $@
	del $@
	copy /b $(DJGPP:DJGPP.ENV=BIN\CWSDSTUB.EXE) + $(@:.exe=) $@
	del $(@:.exe=)

=== debian/changelog ===
xz-utils (5.2.4-1ubuntu1.1) focal-security; urgency=medium

  * SECURITY UPDATE: arbitrary file overwrite or code execution with
    crafted file names
    - debian/patches/CVE-2022-1271.patch: fix escaping of malicious
      filenames in src/scripts/xzgrep.in.
    - CVE-2022-1271

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 08 Apr 2022 08:56:10 -0400

xz-utils (5.2.4-1ubuntu1) focal; urgency=medium

  * Use the generic % rule in debian/rules, otherwise it FTBFS with 
    debhelper 12.5. Closes: #945961. LP: #1870088.

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Mon, 20 Apr 2020 21:43:24 +0000

xz-utils (5.2.4-1) unstable; urgency=low

  * New upstream release.  Closes: #851615.
  * Standards-Version: 4.3.0 (checked).
  * Use an XZ compressed tarball for upstream source.
  * Add upstream signing key and verify tarball at "uscan" time.
  * Drop patches; all were applied or otherwise fixed upstream.
  * Update copyright file.
  * debian/control:
    - Use a stable repo.or.cz URL for packaging repo.
      Closes: #826382.  Thanks to Rolf Leggewie.
    - Use https for upstream homepage URL.
    - No longer Build-Depends: freebsd-glue on kfreebsd.
  * get-orig-source: Use https for upstream Git repository.
  * liblzma:
    - Remove compatibility tricks that permit sharing a process with
      liblzma.so.2.  This means liblzma.a no longer depends on libdl
      at run time.
      Closes: #919950.  Thanks to Josh Triplett.
    - Breaks: liblzma2 versions without symbol versioning.
    - Priority: optional.
  * xz-utils:
    - Lower priority of xz-utils to standard.  Closes: #685203.
    - README.Debian: Remove notes about differences from upstream.
    - Remove old NEWS.Debian.

 -- Jonathan Nieder <jrnieder@gmail.com>  Sun, 27 Jan 2019 17:09:34 -0800

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,25 @@
 Source: xz-utils
 Section: utils
-Priority: required
+Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Jonathan Nieder <jrnieder@gmail.com>
 Uploaders: Mohammed Adnène Trojette <adn+deb@diwi.org>
 Build-Depends: debhelper (>= 8.9.0), dpkg-dev (>= 1.16.2),
  autoconf (>= 2.64~), automake, libtool (>= 2.2),
- gettext, autopoint | gettext (<< 0.18-1), autopoint | cvs, freebsd-glue [kfreebsd-any]
+ gettext, autopoint | gettext (<< 0.18-1), autopoint | cvs
 Build-Depends-Indep: doxygen
 Build-Conflicts: automake1.4
-Standards-Version: 3.9.3
-Vcs-Browser: http://git.debian.org/?p=collab-maint/xz.git
-Vcs-Git: git://git.debian.org/collab-maint/xz.git
-Homepage: http://tukaani.org/xz/
+Standards-Version: 4.3.0
+Vcs-Browser: https://repo.or.cz/w/xz/debian
+Vcs-Git: https://repo.or.cz/r/xz/debian
+Homepage: https://tukaani.org/xz/
 
 Package: liblzma5
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
+Breaks: liblzma2 (<< 5.1.1alpha+20110809-3~)
 Multi-Arch: same
 Description: XZ-format compression library
  XZ is the successor to the Lempel-Ziv/Markov-chain Algorithm
@@ -30,6 +31,7 @@
  format, use the p7zip package instead.)
 
 Package: xz-utils
+Priority: standard
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: foreign
@@ -58,7 +60,6 @@
   * support for flushing the encoder.
 
 Package: xzdec
-Priority: extra
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: foreign
@@ -87,7 +88,6 @@
 
 Package: liblzma-dev
 Section: libdevel
-Priority: optional
 Multi-Arch: same
 Architecture: any
 Depends: liblzma5 (= ${binary:Version}), ${misc:Depends}
@@ -104,7 +104,6 @@
 
 Package: liblzma-doc
 Section: doc
-Priority: optional
 Architecture: all
 Depends: ${misc:Depends}
 Suggests: liblzma-dev

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
-build clean install binary-arch binary-indep binary:
-	+dh $@ --parallel $(opt_no_act)
+%:
+	dh $@ --parallel $(opt_no_act)
 
 # Runs tests, too, if and only if nocheck is unset (see below).
 build-arch:: build-plain build-static build-small
@@ -140,7 +140,7 @@
 
 # Build a tarball with the latest upstream version.
 # This is made complicated by the need to choose a nice version number.
-REPO = http://git.tukaani.org/xz.git
+REPO = https://git.tukaani.org/xz.git
 BRANCH = master
 get-orig-source:
 	mkdir debian-orig-source

## xz-utils 5.2.5

=== debian/changelog ===
xz-utils (5.2.5-2.1~deb11u1) bullseye-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Rebuild for bullseye-security.

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 11 Apr 2022 16:36:49 +0200

xz-utils (5.2.5-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * xzgrep: Fix escaping of malicious filenames (ZDI-CAN-16587)
    (CVE-2022-1271) (Closes: #1009167)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 10 Apr 2022 13:31:29 +0200

xz-utils (5.2.5-2) unstable; urgency=medium

  * Non-maintainer upload (Closes: #983067).
  * Upload to unstable.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Mon, 08 Mar 2021 23:01:54 +0100

xz-utils (5.2.5-1.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Update the patches for #844770 and #975981 to what upstream applied.
  * Add a SIGPIPE fix to xzgrep (similar to xzcmp in #844770).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Tue, 02 Mar 2021 21:50:25 +0100

xz-utils (5.2.5-1.0) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release (Closes: #975984).
    - Increase GETTEXT version (Closes: #959999).
  * Add % target to the rules file to work with newer debhelper
    (Closes: #945961).
  * Enable threads for static builds (Closes: #907449).
  * Ignore SIGPIPE in xzdiff script (Closes: #844770).
  * Teach xzgrep about zstd (Closes: #970891).
  * Clean up the xz man page (Closes: #894454).
  * Ignore hard link count if input is not deleted (Closes: #975981).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Mon, 28 Dec 2020 11:25:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: xz-utils
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jonathan Nieder <jrnieder@gmail.com>
+Maintainer: Jonathan Nieder <jrnieder@gmail.com>
 Uploaders: Mohammed Adnène Trojette <adn+deb@diwi.org>
 Build-Depends: debhelper (>= 8.9.0), dpkg-dev (>= 1.16.2),
  autoconf (>= 2.64~), automake, libtool (>= 2.2),

=== debian/watch ===
version=3
opts=dversionmangle=s/\+\d{8}$//,pgpsigurlmangle=s/$/.sig/ \
https://tukaani.org/xz/xz-([\d.]*(?:beta)?)\.tar\.xz
